<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Components\Crafting.razor.css" />
    <None Remove="Components\Crafting.razor.js" />
    <None Remove="Pages\Inventaire.razor.js" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="Components\Crafting.razor.css" />
    <Content Include="Components\Crafting.razor.js" />
    <Content Include="Pages\Inventaire.razor.js" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Blazored.LocalStorage" Version="4.2.0" />
    <PackageReference Include="Blazored.Modal" Version="7.1.0" />
    <PackageReference Include="Blazorise.Bootstrap" Version="1.1.2" />
    <PackageReference Include="Blazorise.DataGrid" Version="1.1.2" />
    <PackageReference Include="Blazorise.Icons.FontAwesome" Version="1.1.2" />
    <PackageReference Include="Microsoft.Extensions.Localization" Version="7.0.0" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="wwwroot\images\Minecraft-logos.jpg" />
    <Resource Include="wwwroot\images\MinecraftBanner.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Resources\Pages.List.fr-FR.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
    </EmbeddedResource>
  </ItemGroup>

</Project>
